Bug 1574493 - [abrt] nv50_disp_chan_fini: WARNING: CPU: 3 PID: 488 at drivers/gpu/drm/nouveau/nvkm/engine/disp/coregf119.c:187 gf119_disp_core_fini+0x125/0x170 [nouveau] [nouveau]
Summary: [abrt] nv50_disp_chan_fini: WARNING: CPU: 3 PID: 488 at drivers/gpu/drm/nouve...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4bce9f3875775995966c1f0dbba...
: 1641320 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 12:25 UTC by Jeff Peeler
Modified: 2019-05-28 23:11 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:11:42 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (84.92 KB, text/plain)
2018-05-03 12:25 UTC, Jeff Peeler
no flags Details

Description Jeff Peeler 2018-05-03 12:25:24 UTC
Description of problem:
This problem occurred after upgrading to Fedora 28. The problem is not new, just wanted to track that latest upgrade still has issues with the nouveau driver.

Additional info:
reporter:       libreport-2.9.5
WARNING: CPU: 3 PID: 488 at drivers/gpu/drm/nouveau/nvkm/engine/disp/coregf119.c:187 gf119_disp_core_fini+0x125/0x170 [nouveau]
Modules linked in: thunderbolt nvmem_core xt_CHECKSUM tun ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter overlay nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc usblp arc4 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec intel_rapl mei_wdt iwlmvm snd_hda_core x86_pkg_temp_thermal intel_powerclamp coretemp snd_hwdep iTCO_wdt
 snd_seq iTCO_vendor_support snd_seq_device kvm_intel mac80211 snd_pcm kvm uvcvideo irqbypass videobuf2_vmalloc btusb iwlwifi videobuf2_memops videobuf2_v4l2 btrtl intel_cstate btbcm videobuf2_common intel_uncore mei_me thinkpad_acpi videodev btintel snd_timer intel_rapl_perf cfg80211 rtsx_pci_ms bluetooth joydev intel_wmi_thunderbolt i2c_i801 wmi_bmof tpm_tis media memstick mei snd tpm_tis_core ecdh_generic intel_pch_thermal shpchp soundcore tpm rfkill dm_crypt hid_logitech_hidpp hid_logitech_dj nouveau i915 mxm_wmi ttm i2c_algo_bit e1000e drm_kms_helper rtsx_pci_sdmmc mmc_core crct10dif_pclmul crc32_pclmul crc32c_intel nvme ptp drm ghash_clmulni_intel rtsx_pci nvme_core pps_core serio_raw wmi video
CPU: 3 PID: 488 Comm: kworker/3:3 Not tainted 4.16.5-300.fc28.x86_64 #1
Hardware name: LENOVO 20EQS64N0B/20EQS64N0B, BIOS N1EET73W (1.46 ) 09/28/2017
Workqueue: pm pm_runtime_work
RIP: 0010:gf119_disp_core_fini+0x125/0x170 [nouveau]
RSP: 0018:ffffc01c039bfb80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9d777b17f480 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff9d779f4d68f0
RBP: ffff9d7775d0f800 R08: 0000000000000030 R09: 000000000000044e
R10: 0000000000000000 R11: 0000000000000001 R12: ffff9d777535bea0
R13: 00000004d962cdc0 R14: ffff9d7774575400 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff9d779f4c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f3a48012068 CR3: 000000059d20a006 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 nv50_disp_chan_fini+0x19/0x20 [nouveau]
 nvkm_object_fini+0xbc/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? pci_has_legacy_pm_support+0x60/0x60
 ? nouveau_do_suspend+0xfd/0x2c0 [nouveau]
 ? nouveau_pmops_runtime_suspend+0x54/0xb0 [nouveau]
 ? pci_pm_runtime_suspend+0x61/0x170
 ? pci_has_legacy_pm_support+0x60/0x60
 ? __rpm_callback+0xca/0x210
 ? pci_has_legacy_pm_support+0x60/0x60
 ? rpm_callback+0x1f/0x70
 ? pci_has_legacy_pm_support+0x60/0x60
 ? rpm_suspend+0x13a/0x5f0
 ? __switch_to_asm+0x34/0x70
 ? __switch_to_asm+0x40/0x70
 ? pm_runtime_work+0x74/0x90
 ? process_one_work+0x187/0x340
 ? worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? ret_from_fork+0x35/0x40
Code: 41 5e e9 2f 84 e6 d6 48 8b 7d 10 48 8b 5f 50 48 85 db 74 58 e8 dd 47 fb d6 48 89 da 48 c7 c7 6b 8a 6f c0 48 89 c6 e8 75 b1 ac d6 <0f> 0b 41 8b 46 50 85 c0 74 80 48 8b 45 78 48 8d b8 90 04 61 00

Comment 1 Jeff Peeler 2018-05-03 12:25:33 UTC
Created attachment 1430657 [details]
File: dmesg

Comment 2 John Dennis 2018-05-04 12:59:09 UTC
Description of problem:
Lenovo P50 in dock with extrnal display port monitor. When the pointer approaches the upper right hand corner of the primary laptop display Gnome Shell crashes. Impossible to use external display. I also briefly saw a message on the primary display concerning a bus error, but it was too brief to see the details.

Version-Release number of selected component:
kernel-core-4.16.5-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.5-300.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-c0bc89c0-efe1-4e50-b45f-8582693522cd rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: nv50_disp_chan_fini
kernel:         4.16.5-300.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 5 PID: 127 at drivers/gpu/drm/nouveau/nvkm/engine/disp/coregf119.c:187 gf119_disp_core_fini+0x125/0x170 [nouveau]
Modules linked in: i915 nouveau mxm_wmi ttm i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc mmc_core e1000e crct10dif_pclmul crc32_pclmul crc32c_intel nvme drm nvme_core ptp ghash_clmulni_intel rtsx_pci serio_raw pps_core wmi video
CPU: 5 PID: 127 Comm: kworker/5:1 Not tainted 4.16.5-300.fc28.x86_64 #1
Hardware name: LENOVO 20EQS64N0B/20EQS64N0B, BIOS N1EET71W (1.44 ) 08/31/2017
Workqueue: pm pm_runtime_work
RIP: 0010:gf119_disp_core_fini+0x125/0x170 [nouveau]
RSP: 0018:ffffb14143893b80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff90fe7b18e9f0 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff90fe9f5568f0
RBP: ffff90fe75b39c00 R08: 0000000000000030 R09: 0000000000000340
R10: 0000000000000000 R11: 0000000000000001 R12: ffff90fe760ad7e0
R13: 00000002c7a3b6c0 R14: ffff90fe7b082000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff90fe9f540000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f32ce110f5c CR3: 000000037c20a006 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 nv50_disp_chan_fini+0x19/0x20 [nouveau]
 nvkm_object_fini+0xbc/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? pci_has_legacy_pm_support+0x60/0x60
 ? nouveau_do_suspend+0xfd/0x2c0 [nouveau]
 ? nouveau_pmops_runtime_suspend+0x54/0xb0 [nouveau]
 ? pci_pm_runtime_suspend+0x61/0x170
 ? pci_has_legacy_pm_support+0x60/0x60
 ? __rpm_callback+0xca/0x210
 ? pci_has_legacy_pm_support+0x60/0x60
 ? rpm_callback+0x1f/0x70
 ? pci_has_legacy_pm_support+0x60/0x60
 ? rpm_suspend+0x13a/0x5f0
 ? __switch_to_asm+0x34/0x70
 ? __switch_to_asm+0x40/0x70
 ? pm_runtime_work+0x74/0x90
 ? process_one_work+0x187/0x340
 ? worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? ret_from_fork+0x35/0x40
Code: 41 5e e9 2f 64 e8 d1 48 8b 7d 10 48 8b 5f 50 48 85 db 74 58 e8 dd 27 fd d1 48 89 da 48 c7 c7 6b aa 6d c0 48 89 c6 e8 75 91 ae d1 <0f> 0b 41 8b 46 50 85 c0 74 80 48 8b 45 78 48 8d b8 90 04 61 00

Comment 3 Michal Reznik 2018-05-05 17:02:00 UTC
Description of problem:
This happened shortly after new system installation while installing additional packages. 
Only unusual action done was that I unpluged HDMI cabel for a while. 

Version-Release number of selected component:
kernel-core-4.16.3-301.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.3-301.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: nv50_disp_chan_fini
kernel:         4.16.3-301.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 128 at drivers/gpu/drm/nouveau/nvkm/engine/disp/coregf119.c:187 gf119_disp_core_fini+0x125/0x170 [nouveau]
Modules linked in: rfcomm ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc arc4 vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp iwlmvm kvm_intel snd_hda_codec_realtek iTCO_wdt snd_hda_codec_generic iTCO_vendor_support mac80211 kvm mei_wdt snd_hda_intel snd_hda_codec uvcvideo btusb snd_hda_core irqbypass btrtl crct10dif_pclmul snd_hwdep btbcm videobuf2_vmalloc crc32_pclmul snd_seq btintel videobuf2_memops
 ghash_clmulni_intel iwlwifi snd_seq_device bluetooth videobuf2_v4l2 snd_pcm videobuf2_common intel_cstate videodev intel_uncore intel_rapl_perf cfg80211 rtsx_pci_ms media thinkpad_acpi joydev intel_wmi_thunderbolt wmi_bmof i2c_i801 snd_timer memstick ecdh_generic tpm_tis mei_me tpm_tis_core snd mei tpm soundcore intel_pch_thermal rfkill shpchp nouveau i915 mxm_wmi ttm rtsx_pci_sdmmc mmc_core i2c_algo_bit e1000e drm_kms_helper nvme ptp crc32c_intel nvme_core drm serio_raw rtsx_pci pps_core wmi video
CPU: 2 PID: 128 Comm: kworker/2:1 Not tainted 4.16.3-301.fc28.x86_64 #1
Hardware name: LENOVO 20EQS64N00/20EQS64N00, BIOS N1EET77W (1.50 ) 03/28/2018
Workqueue: pm pm_runtime_work
RIP: 0010:gf119_disp_core_fini+0x125/0x170 [nouveau]
RSP: 0018:ffff99c543893b80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff88243add2130 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff88245f4968f0
RBP: ffff8824346ae400 R08: 0000000000000030 R09: 00000000000003c8
R10: 0000000000000000 R11: 0000000000000001 R12: ffff88243467b540
R13: 000000045d9fb9a0 R14: ffff8824360d8800 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff88245f480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055c7524aeb98 CR3: 000000053d20a006 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 nv50_disp_chan_fini+0x19/0x20 [nouveau]
 nvkm_object_fini+0xbc/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? pci_has_legacy_pm_support+0x60/0x60
 ? nouveau_do_suspend+0xfd/0x2c0 [nouveau]
 ? nouveau_pmops_runtime_suspend+0x54/0xb0 [nouveau]
 ? pci_pm_runtime_suspend+0x61/0x170
 ? pci_has_legacy_pm_support+0x60/0x60
 ? __rpm_callback+0xca/0x210
 ? pci_has_legacy_pm_support+0x60/0x60
 ? rpm_callback+0x1f/0x70
 ? pci_has_legacy_pm_support+0x60/0x60
 ? rpm_suspend+0x13a/0x5f0
 ? __switch_to_asm+0x34/0x70
 ? __switch_to_asm+0x40/0x70
 ? pm_runtime_work+0x74/0x90
 ? process_one_work+0x187/0x340
 ? worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? ret_from_fork+0x35/0x40
Code: 41 5e e9 0f f2 f1 d6 48 8b 7d 10 48 8b 5f 50 48 85 db 74 58 e8 5d b4 06 d7 48 89 da 48 c7 c7 6b 1a 64 c0 48 89 c6 e8 75 21 b8 d6 <0f> 0b 41 8b 46 50 85 c0 74 80 48 8b 45 78 48 8d b8 90 04 61 00

Comment 4 Ben Crocker 2018-06-04 17:36:03 UTC
Description of problem:
Problem occurred after
1. F27 install from USB stick
2. numerous manual insalls
3. Upgrade to F28

Version-Release number of selected component:
kernel-core-4.16.13-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.13-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-bbb997d8-6d63-416a-8dbf-1b0d4f93cdd6 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: nv50_disp_chan_fini
kernel:         4.16.13-300.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 70 at drivers/gpu/drm/nouveau/nvkm/engine/disp/coregf119.c:187 gf119_disp_core_fini+0x125/0x170 [nouveau]
Modules linked in: dm_crypt i915 nouveau mxm_wmi ttm rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper crct10dif_pclmul crc32_pclmul crc32c_intel e1000e drm nvme ptp ghash_clmulni_intel pps_core rtsx_pci serio_raw nvme_core wmi video
CPU: 4 PID: 70 Comm: kworker/4:1 Not tainted 4.16.13-300.fc28.x86_64 #1
Hardware name: LENOVO 20EQS64N0B/20EQS64N0B, BIOS N1EET73W (1.46 ) 09/28/2017
Workqueue: pm pm_runtime_work
RIP: 0010:gf119_disp_core_fini+0x125/0x170 [nouveau]
RSP: 0018:ffffafc9c33f3b80 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff95fbbb1b1db0 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff95fbdf516930
RBP: ffff95fbb4f9e800 R08: 0000000000000030 R09: 0000000000000330
R10: 0000000000000000 R11: 0000000000000001 R12: ffff95fbb29a48a0
R13: 00000002bc2f6d00 R14: ffff95fbb4f9c400 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff95fbdf500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000563c691e13e8 CR3: 000000077320a001 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 nv50_disp_chan_fini+0x19/0x20 [nouveau]
 nvkm_object_fini+0xbc/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nvkm_object_fini+0x73/0x150 [nouveau]
 ? nouveau_do_suspend+0xfd/0x2c0 [nouveau]
 ? nouveau_pmops_runtime_suspend+0x54/0xb0 [nouveau]
 ? pci_pm_runtime_suspend+0x64/0x180
 ? pci_has_legacy_pm_support+0x60/0x60
 ? __rpm_callback+0xca/0x210
 ? pci_has_legacy_pm_support+0x60/0x60
 ? rpm_callback+0x1f/0x70
 ? pci_has_legacy_pm_support+0x60/0x60
 ? rpm_suspend+0x13a/0x5f0
 ? __switch_to_asm+0x34/0x70
 ? __switch_to_asm+0x40/0x70
 ? pm_runtime_work+0x74/0x90
 ? process_one_work+0x187/0x340
 ? worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 ? kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? ret_from_fork+0x35/0x40
Code: 41 5e e9 df 33 13 f9 48 8b 7d 10 48 8b 5f 50 48 85 db 74 58 e8 5d 4d 28 f9 48 89 da 48 c7 c7 3b ea 42 c0 48 89 c6 e8 15 53 d9 f8 <0f> 0b 41 8b 46 50 85 c0 74 80 48 8b 45 78 48 8d b8 90 04 61 00

Comment 5 Denis Golovin 2018-10-21 06:02:35 UTC
*** Bug 1641320 has been marked as a duplicate of this bug. ***

Comment 6 Ben Cotton 2019-05-02 20:23:42 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-28 23:11:42 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.